## org.apache.batik.ext.awt.image.renderable
Interface TileRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  TileRable8Bit

public interface TileRable
extends FilterColorInterpolation

A renderable that can tile its source into the tile region.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` `getSource()` Return's the tile source (the tile content used to fill the tile region.
`java.awt.geom.Rectangle2D` `getTiledRegion()` Returns the tiled region
`java.awt.geom.Rectangle2D` `getTileRegion()` Returns the tile region
`boolean` `isOverflow()` Returns whether or not the source can overflow the tile region or if the tile region should clip the source
`void` `setOverflow(boolean overflow)` Sets the overflow strategy
`void` `setSource(Filter source)` Sets the filter source (the tile content used to fill the tile region.
`void` `setTiledRegion(java.awt.geom.Rectangle2D tiledRegion)` Sets the tile region
`void` `setTileRegion(java.awt.geom.Rectangle2D tileRegion)` Sets the tile region

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getTileRegion

    public java.awt.geom.Rectangle2D getTileRegion()

  Returns the tile region

### setTileRegion

    public void setTileRegion(java.awt.geom.Rectangle2D tileRegion)

  Sets the tile region

### getTiledRegion

    public java.awt.geom.Rectangle2D getTiledRegion()

  Returns the tiled region

### setTiledRegion

    public void setTiledRegion(java.awt.geom.Rectangle2D tiledRegion)

  Sets the tile region

### isOverflow

    public boolean isOverflow()

  Returns whether or not the source can overflow the tile region or if the tile region should clip the source

### setOverflow

    public void setOverflow(boolean overflow)

  Sets the overflow strategy

### setSource

    public void setSource(Filter source)

  Sets the filter source (the tile content used to fill the tile region.

### getSource

    public Filter getSource()

  Return's the tile source (the tile content used to fill the tile region.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.